# Generated by Django 3.0.8 on 2020-09-24 18:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Model_MEDIO',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('medio_detalle', models.CharField(max_length=150, verbose_name='Medio Detalle')),
            ],
            options={
                'verbose_name': 'MODEL_MEDIO',
                'verbose_name_plural': 'MODEL_MEDIOS',
                'db_table': 'model_medio',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Model_RED',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('red_detalle', models.CharField(max_length=150, verbose_name='Medio Detalle')),
            ],
            options={
                'verbose_name': 'MODEL_RED',
                'verbose_name_plural': 'MODEL_REDS',
                'db_table': 'model_red',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Model_OIT',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('oit', models.CharField(max_length=20, verbose_name='ID OIT')),
                ('servicio', models.TextField(verbose_name='Servicio')),
                ('proveedor', models.CharField(max_length=150, verbose_name='Proveedor')),
                ('fecha_acordada', models.CharField(max_length=150, verbose_name='Fecha Acordada')),
                ('plazo_contrato', models.CharField(max_length=150, verbose_name='Plazo Contrato')),
                ('renta_mensual', models.CharField(max_length=150, verbose_name='Renta Mensual')),
                ('proceso', models.CharField(max_length=150, verbose_name='Proceso')),
                ('mes_venta', models.CharField(max_length=150, verbose_name='Mes Venta')),
                ('medio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Oit.Model_MEDIO')),
                ('red', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Oit.Model_RED')),
            ],
            options={
                'verbose_name': 'MODEL_OIT',
                'verbose_name_plural': 'MODEL_OITs',
                'db_table': 'model_oit',
                'managed': True,
            },
        ),
    ]
